=== modified file 'debian/changelog'
--- debian/changelog	2009-03-12 18:05:35 +0000
+++ debian/changelog	2009-03-18 17:11:01 +0000
@@ -1,3 +1,9 @@
+ooo-thumbnailer (0.1~alpha2-0ubuntu3) intrepid; urgency=low
+
+  * Fixed overwrite bug.
+
+ -- David D Lowe <daviddlowe.flimm@gmail.com>  Wed, 18 Mar 2009 18:10:28 +0100
+
 ooo-thumbnailer (0.1~alpha2-0ubuntu2) intrepid; urgency=low
 
   * Fixed size command line option.

=== modified file 'ooo-thumbnailer'
--- ooo-thumbnailer	2009-03-12 18:05:35 +0000
+++ ooo-thumbnailer	2009-03-18 17:11:01 +0000
@@ -33,12 +33,20 @@
 # documents in the Templates directory are ignored
 if [ `dirname $ifile` != ${XDG_TEMPLATES_DIR:-$HOME/Templates} ]; then
   if [ -e /usr/bin/convert ]; then
-    unzip -p "$ifile" Thumbnails/thumbnail.png | convert - +matte -scale ${size}x${size} "png:$ofile"
+    if [ "$size" == "" ]; then
+      unzip -p "$ifile" Thumbnails/thumbnail.png | convert - +matte "png:$ofile"
+    else
+      unzip -p "$ifile" Thumbnails/thumbnail.png | convert - +matte -scale ${size}x${size} "png:$ofile"
+    fi
   else
     cache=${XDG_CACHE_HOME:-$HOME/.cache}
     mkdir -p "$cache"
-    unzip "$ifile" Thumbnails/thumbnail.png -d "${cache}"
-    totem-gstreamer-video-thumbnailer "${cache}/Thumbnails/thumbnail.png" "$ofile" -s $size
+    unzip -o "$ifile" Thumbnails/thumbnail.png -d "${cache}"
+    if [ "$size" == "" ]; then
+      totem-gstreamer-video-thumbnailer "${cache}/Thumbnails/thumbnail.png" "$ofile"
+    else
+      totem-gstreamer-video-thumbnailer "${cache}/Thumbnails/thumbnail.png" "$ofile" -s $size
+    fi
   fi
   # uncomment the following line to include the OpenOffice.org logo in the thumbnail, requires imagemagick
   #composite -gravity SouthEast /usr/share/icons/hicolor/48x48/mimetypes/openofficeorg3-oasis-text.png "$ofile" "$ofile"

